udftools

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
__attribute__ Struct Reference

`#include <ecma_167.h>`

Collaboration diagram for __attribute__:

## Public Attributes
uint8_t | charSetType
uint8_t | charSetInfo [63]
uint16_t | typeAndTimezone
int16_t | year
uint8_t | month
uint8_t | day
uint8_t | hour
uint8_t | minute
uint8_t | second
uint8_t | centiseconds
uint8_t | hundredsOfMicroseconds
uint8_t | microseconds
uint8_t | flags
uint8_t | ident [23]
uint8_t | identSuffix [8]
uint32_t | extLength
uint32_t | extLocation
uint16_t | tagIdent
uint16_t | descVersion
uint8_t | tagChecksum
uint8_t | reserved
uint16_t | tagSerialNum
uint16_t | descCRC
uint16_t | descCRCLength
uint32_t | tagLocation
uint32_t | logicalBlockNum
uint16_t | partitionReferenceNum
uint32_t | extPosition
lb_addr | extLocation
uint8_t | impUse [6]
uint32_t | recordedLength
uint32_t | informationLength
uint32_t | priorRecordedNumDirectEntries
uint16_t | strategyType
uint16_t | strategyParameter
uint16_t | numEntries
uint8_t | fileType
lb_addr | parentICBLocation
uint16_t | flags

## Detailed Description

Definition at line 46 of file ecma_167.h.

## Member Data Documentation

uint8_t __attribute__::centiseconds

Definition at line 75 of file ecma_167.h.

uint8_t __attribute__::charSetInfo[63]

Definition at line 49 of file ecma_167.h.

uint8_t __attribute__::charSetType

Definition at line 48 of file ecma_167.h.

uint8_t __attribute__::day

Definition at line 71 of file ecma_167.h.

uint16_t __attribute__::descCRC

Definition at line 176 of file ecma_167.h.

uint16_t __attribute__::descCRCLength

Definition at line 177 of file ecma_167.h.

uint16_t __attribute__::descVersion

Definition at line 172 of file ecma_167.h.

uint32_t __attribute__::extLength

Definition at line 164 of file ecma_167.h.

lb_addr __attribute__::extLocation

Definition at line 165 of file ecma_167.h.

lb_addr __attribute__::extLocation

Definition at line 396 of file ecma_167.h.

uint32_t __attribute__::extPosition

Definition at line 389 of file ecma_167.h.

uint8_t __attribute__::fileType

Definition at line 496 of file ecma_167.h.

uint8_t __attribute__::flags

Definition at line 90 of file ecma_167.h.

uint16_t __attribute__::flags

Definition at line 498 of file ecma_167.h.

uint8_t __attribute__::hour

Definition at line 72 of file ecma_167.h.

uint8_t __attribute__::hundredsOfMicroseconds

Definition at line 76 of file ecma_167.h.

uint8_t __attribute__::ident[23]

Definition at line 91 of file ecma_167.h.

uint8_t __attribute__::identSuffix[8]

Definition at line 92 of file ecma_167.h.

uint8_t __attribute__::impUse[6]

Definition at line 397 of file ecma_167.h.

uint32_t __attribute__::informationLength

Definition at line 405 of file ecma_167.h.

uint32_t __attribute__::logicalBlockNum

Definition at line 381 of file ecma_167.h.

uint8_t __attribute__::microseconds

Definition at line 77 of file ecma_167.h.

uint8_t __attribute__::minute

Definition at line 73 of file ecma_167.h.

uint8_t __attribute__::month

Definition at line 70 of file ecma_167.h.

uint16_t __attribute__::numEntries

Definition at line 494 of file ecma_167.h.

lb_addr __attribute__::parentICBLocation

Definition at line 497 of file ecma_167.h.

uint16_t __attribute__::partitionReferenceNum

Definition at line 382 of file ecma_167.h.

uint32_t __attribute__::priorRecordedNumDirectEntries

Definition at line 491 of file ecma_167.h.

uint32_t __attribute__::recordedLength

Definition at line 404 of file ecma_167.h.

uint8_t __attribute__::reserved

Definition at line 174 of file ecma_167.h.

uint8_t __attribute__::second

Definition at line 74 of file ecma_167.h.

uint16_t __attribute__::strategyParameter

Definition at line 493 of file ecma_167.h.

uint16_t __attribute__::strategyType

Definition at line 492 of file ecma_167.h.

uint8_t __attribute__::tagChecksum

Definition at line 173 of file ecma_167.h.

uint16_t __attribute__::tagIdent

Definition at line 171 of file ecma_167.h.

uint32_t __attribute__::tagLocation

Definition at line 178 of file ecma_167.h.

uint16_t __attribute__::tagSerialNum

Definition at line 175 of file ecma_167.h.

uint16_t __attribute__::typeAndTimezone

Definition at line 68 of file ecma_167.h.

int16_t __attribute__::year

Definition at line 69 of file ecma_167.h.

The documentation for this struct was generated from the following file:

- include/ecma_167.h